Summary: The Squid proxy caching server.
Name: squid
Version: 2.5.STABLE3
Release: 7.3E
Epoch: 7
License: GPL
Group: System Environment/Daemons
Source: http://www.squid-cache.org/Squid/v2/squid-%{version}.tar.bz2
Source1: http://www.squid-cache.org/Squid/FAQ/FAQ.sgml
Source2: squid.init
Source3: squid.logrotate
Source4: squid.sysconfig
Patch1: squid-2.5.STABLE3-config.patch
Patch2: squid-perlpath.patch
Patch3: squid-location.patch
Patch4: squid-2.5.STABLE3-build.patch
#Patch5: squid-2.4.STABLE7-fdoverride.patch
Patch6: squid-2.5.STABLE4-00.patch
Patch7: squid-2.5.STABLE4-urllogin_acl.patch
Patch8: squid-2.5.STABLE3-libntlmssp.patch
Patch9: squid-2.5.STABLE6-ntlm_fetch_string.patch
Patch10: squid-2.5.STABLE6-SNMP_core_dump.patch
Patch11: squid-2.5.STABLE3-hostheader.patch
Patch12: squid-2.5.STABLE7-fakeauth_auth.patch
Patch13: squid-2.5.STABLE7-gopher_html_parsing.patch
Patch14: squid-2.5.STABLE7-wccp_denial_of_service.patch
Patch15: squid-2.5.STABLE3-ldap_spaces.patch
Patch16: squid-2.5.STABLE3-reply_header_max_size.patch
Patch17: squid-2.5.STABLE3-header_parsing.patch
Patch18: squid-2.5.STABLE3-response_splitting.patch
Patch19: squid-2.5.STABLE3-config_change.patch
Patch20: squid-2.5.STABLE3-errpages.patch

# Official upstream patches
Patch100: squid-2.5.STABLE3-Lithuanian.patch
Patch101: squid-2.5.STABLE3-deny_info.patch
Patch102: squid-2.5.STABLE3-HttpHeaderTools.patch
Patch103: squid-2.5.STABLE3-external_acl_ident.patch
Patch104: squid-2.5.STABLE3-aufs-openingfds.patch
Patch105: squid-2.5.STABLE3-gcc-3_3.patch
Patch106: squid-2.5.STABLE3-mem_cfd.patch

# Backported security patches
Patch200: http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE4-empty_proxy_auth.patch
Patch201: http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-wccp_buffer_overflow.patch
Patch202: http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-oversize_reply_headers.patch
Patch203: squid-2.5.STABLE3-dns_assert.patch
Patch204: http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE9-setcookie.patch
Patch205: squid-2.5.STABLE3-acl_error.patch
Patch206: squid-2.5.STABLE7-post.patch
Patch207: squid-2.5.STABLE9-cachemgr_conf.patch
Patch208: squid-2.5.STABLE3-dns_query-4.patch
Patch209: squid-2.5.STABLE3-ssl-diff.patch
Patch210: http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE6-CONNECT.patch
Patch211: http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE9-CONNECT_truncated.patch
Patch212: http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-dothost.patch
Patch214: http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE10-sslConnectTimeout.patch
Patch215: http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE10-statHistAssert.patch
Patch216: squid-2.5.STABLE3-store_pending.patch
Patch218: squid-2.5.STABLE3-NTLM-scheme_assert-3.patch

#Backported patches
Patch300: squid-2.5.STABLE5-rfc1035NameUnpack.patch
Patch301: squid-2.5.STABLE3-dns-fix.patch
Patch302: squid-2.5.STABLE7-split_headers.patch 
Patch303: squid-2.5.STABLE3-relaxed_header_parser.patch
Patch304: squid-2.5.STABLE3-wbinfo.patch
Patch305: squid-2.5.STABLE11-redirect-CONNECT.patch
Patch306: squid-2.5.STABLE3-forwarded_for.patch

#RH specific patches
Patch500: squid-2.5.STABLE3-fd-config.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/chkconfig logrotate shadow-utils
Requires: bash >= 2.0
BuildPrereq: openjade linuxdoc-tools openldap-devel pam-devel
Obsoletes: squid-novm

%description
Squid is a high-performance proxy caching server for Web clients,
supporting FTP, gopher, and HTTP data objects. Unlike traditional
caching software, Squid handles all requests in a single,
non-blocking, I/O-driven process. Squid keeps meta data and especially
hot objects cached in RAM, caches DNS lookups, supports non-blocking
DNS lookups, and implements negative caching of failed requests.

Squid consists of a main server program squid, a Domain Name System
lookup program (dnsserver), a program for retrieving FTP data
(ftpget), and some management and client tools.

%prep
%setup -q
%patch1 -p1 -b .config
#%patch2 -p1 -b .perlpath
%patch3 -p1 -b .location
%patch4 -p1 -b .build
#%patch5 -p1 -b .prefdoverride
%patch6 -p1 -b .00
%patch7 -p1 -b .urllogin_acl
%patch8 -p1 -b .libntlmssp
%patch9 -p1 -b .ntlm_fetch_string
%patch10 -p1 -b .SNMP_core_dump
%patch11 -p1 -b .hostheader
%patch12 -p1 -b .fakeauth_auth
%patch13 -p1 -b .gopher_html_parsing
%patch14 -p1 -b .wccp_denial_of_service
%patch15 -p1 -b .ldap_spaces
%patch16 -p1 -b .reply_header_max_size
%patch17 -p1 -b .header_parsing
%patch18 -p1 -b .response_splitting
%patch19 -p1 -b .config_change
%patch20 -p1

%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1

%patch200 -p1 -b .empty_proxy_auth
%patch201 -p1 -b .wccp_buffer_overflow
%patch202 -p1 -b .oversize_reply_headers
%patch203 -p1 -b .dns_assert
%patch204 -p1 -b .setcookie
%patch205 -p1 -b .acl_error
%patch206 -p1 -b .post
%patch207 -p1 -b .cachemgr_conf
%patch208 -p1 -b .dns_query-4
%patch209 -p1 -b .ssl_diff
%patch210 -p1 -b .connect
%patch211 -p1
%patch212 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1 -b .stat
%patch218 -p1 -b .ntlm

%patch300 -p1 -b .srt
%patch301 -p1 -b .dns-fix
%patch302 -p1 -b .split
%patch303 -p1 -b .rph
%patch304 -p1 -b .wbinfo
%patch305 -p1 -b .recon
%patch306 -p1 -b .forwarded-for

%patch500 -p1 -b .fd


%build
export CFLAGS=-fPIE ; export LDFLAGS=-pie
%configure \
   --exec_prefix=/usr \
   --bindir=/usr/sbin \
   --libexecdir=/usr/lib/squid \
   --localstatedir=/var \
   --sysconfdir=/etc/squid \
   --enable-poll \
   --enable-snmp \
   --enable-removal-policies="heap,lru" \
   --enable-storeio="aufs,coss,diskd,null,ufs" \
   --enable-ssl \
   --with-openssl=/usr/kerberos \
   --enable-delay-pools \
   --enable-linux-netfilter \
   --with-pthreads \
   --enable-basic-auth-helpers="LDAP,NCSA,PAM,SMB,SASL,MSNT,winbind"  \
   --enable-ntlm-auth-helpers="SMB,winbind,fakeauth" \
   --enable-external-acl-helpers="ip_user,ldap_group,unix_group,wbinfo_group,winbind_group" \
   --enable-auth="basic,ntlm" \
   --enable-useragent-log \
   --enable-referer-log \
   --enable-fd-config \


export CFLAGS=-fPIE ; export LDFLAGS=-pie
make

mkdir faq
cp $RPM_SOURCE_DIR/FAQ.sgml faq
cd faq
sgml2html FAQ.sgml

#cd ..

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall  \
	sysconfdir=$RPM_BUILD_ROOT/etc/squid \
	localstatedir=$RPM_BUILD_ROOT/var \
	bindir=$RPM_BUILD_ROOT/usr/sbin \
	libexecdir=$RPM_BUILD_ROOT/usr/lib/squid

ln -s %{_datadir}/squid/errors/English $RPM_BUILD_ROOT/etc/squid/errors

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 755 $RPM_SOURCE_DIR/squid.init $RPM_BUILD_ROOT/etc/rc.d/init.d/squid
install -m 644 $RPM_SOURCE_DIR/squid.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/squid
install -m 644 $RPM_SOURCE_DIR/squid.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/squid

mkdir -p $RPM_BUILD_ROOT/var/log/squid
mkdir -p $RPM_BUILD_ROOT/var/spool/squid

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_sbindir}/{RunAccel,RunCache}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/squid
%config(noreplace) %attr(640,root,squid) /etc/squid/squid.conf
%config(noreplace) %attr(640,root,squid) /etc/squid/cachemgr.conf
%config(noreplace) /etc/squid/mime.conf
%config(noreplace) /etc/sysconfig/squid
%config(noreplace) /etc/squid/msntauth.conf
%config /etc/squid/mib.txt
/etc/squid/msntauth.conf.default
/etc/squid/squid.conf.default
/etc/squid/mime.conf.default
%config(noreplace) /etc/squid/errors
/usr/lib/squid
%{_datadir}/squid/icons
%config(noreplace) %{_datadir}/squid/errors
/usr/sbin/squid
/usr/sbin/squidclient
%config /etc/rc.d/init.d/squid
%config /etc/logrotate.d/squid
%doc faq/* README ChangeLog QUICKSTART doc/*
#%doc contrib/url-normalizer.pl contrib/rredir.* contrib/user-agents.pl
%attr(750,squid,squid) %dir /var/log/squid
%attr(750,squid,squid) %dir /var/spool/squid
%{_mandir}/man8/*
%attr(4750,root,squid) /usr/lib/squid/ncsa_auth
%attr(4750,root,squid) /usr/lib/squid/pam_auth


%pre
/usr/sbin/useradd -u 23 -d /var/spool/squid -r -s /sbin/nologin squid >/dev/null 2>&1

for i in /var/log/squid /var/spool/squid ; do
	if [ -d $i ] ; then
		for adir in `find $i -maxdepth 0 \! -user squid`; do
			chown -R squid.squid $adir
		done
	fi
done

exit 0

%post
/sbin/chkconfig --add squid
if [ $1 = 0 ]; then
 case "$LANG" in
  bg*)
     DIR=Bulgarian
     ;;
  ca*)
     DIR=Catalan
     ;;
  cs*)
     DIR=Czech
     ;;
  da*)
     DIR=Danish
     ;;
  nl*)
     DIR=Dutch
     ;;
  en*)
     DIR=English
     ;;
  ea*)
     DIR=Estonian
     ;;
  fi*)
     DIR=Finnish
     ;;
  fr*)
     DIR=French
     ;;
  de*)
     DIR=German
     ;;
  he*)
     DIR=Hebrew
     ;;
  hu*)
     DIR=Hungarian
     ;;
  it*)
     DIR=Italian
     ;;
  ja*)
     DIR=Japanese
     ;;
  kr*)
     DIR=Korean
     ;;
  pl*)
     DIR=Polish
     ;;
  pt*)
     DIR=Portuguese
     ;;
  ro*)
     DIR=Romanian
     ;;
  ru*)
     DIR=Russian-koi8-r
     ;;
  sr*)
     DIR=Serbian
     ;;
  sk*)
     DIR=Slovak
     ;;
  es*)
     DIR=Spanish
     ;;
  sv*)
     DIR=Swedish
     ;;
  zh_TW*)
     DIR=Traditional_Chinese
     ;;
  zh_CN*)
     DIR=Simplify_Chinese
     ;;
  tr*)
     DIR=Turkish
     ;;
  *)
     DIR=English
     ;;
 esac
 ln -snf %{_datadir}/squid/errors/$DIR /etc/squid/errors
fi
exit 0

%triggerin -- samba-common
chgrp squid /var/cache/samba/winbindd_privileged > /dev/null 2>& 1 || true

%triggerpostun -- squid < 7:2.5.STABLE1-1
errordir=`ls -ld /etc/squid/errors 2> /dev/null | awk '{ print $NF }' `
if [ -n "$errordir" ]; then
  errordir=${errordir##*/}
  ln -snf %{_datadir}/squid/errors/$errordir /etc/squid/errors
fi
exit 0

%preun
if [ $1 = 0 ] ; then
	service squid stop >/dev/null 2>&1
	rm -f /var/log/squid/*
	/sbin/chkconfig --del squid
fi
exit 0

%postun
if [ "$1" -ge "1" ] ; then
	service squid condrestart >/dev/null 2>&1
fi
exit 0

%changelog
* Fri Jun 29 2007 Martin Bacovsky <mbacovsk@redhat.com> - 2.5.STABLE3-7
- resolves: #238103: 'forwarded_for off' in squid.conf does not work.

* Tue Apr 11 2006 Martin Stransky <stransky@redhat.com> 7:2.5.STABLE3-6.3E.18
- fix for #181825 - redirector 302 redirects not working for CONNECT method
- fix for #72896  - squid does not support >1024 file descriptors

* Tue Oct 18 2005 Martin Stransky <stransky@redhat.com> 7:2.5.STABLE3-6.3E.16
- fix for #165367 - Squid dies with signal 6 and restarts and dies ...
- fix for #168378 - CVE-2005-2917 Squid malformed NTLM authentication DoS
- fix for #170397 - Pam authentication fails
- fix for #150781 - Squid doesn't handle headers split across packets
- fix for #163595 - Squid blocks page served by broken server
- fix for #169269 - Error in script /usr/lib/squid/wbinfo_group.pl
- fix for #127836 - Error pages should not be replaced by updates
- fix for #172693 - One translated Polish language error is missing 

* Tue Sep 6 2005 Martin Stransky <stransky@redhat.com> 7:2.5.STABLE3-6.3E.14
- fix for #167414 - Multiple squid DoS issues
- fix for #166520 - CAN-2004-2479 squid information disclosure

* Wed Jun 8 2005 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.13
- Force a change to the squid.conf file between this rpm and 6.3E.9 to
  make rpm do the right thing when upgrading.

* Wed May 11 2005 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.12
- backport fix for 
  bz#157455 CAN-2005-1519 DNS lookups unreliable on untrusted networks
- Backport the changes from the -5 version of the patch.

* Wed Apr 27 2005 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.11
- Backport fix for
  CVE-1999-0710 cachemgr malicious use

* Wed Mar 16 2005 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.10
- Backport squid-2.5.STABLE9-setcookie patch to close
  bz#150232 cookie leak in squid
- Backport squid-2.5.STABLE9-acl_error patch to close
  bz#151412 Unexpected access control results on configuration errors
  This make invalid acl lines in the squid.conf file fatal errors, so a
  user cannot start squid with erroneous acl lines.  Previously, the
  erroneous acls were ignored, potentially allowing users to access
  content that the administrator though was blocked.
- Backport squid-2.5.STABLE7-post.patch to close
  bz#151423 CAN-2005-0718 Segmentation fault on failed PUT/POST request
- Update the permissions on /etc/squid/squid.conf to prevent
  unauthorized viewing of potential plaintext passwords, closing
  bz#125007 insecure permissions for squid.conf

* Wed Mar 2 2005 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.9
- Correct the -libntlmssp patch to correct an off-by-one error that prevented
  the helper from passing the username to squid.  This closes bz#139684

* Wed Feb 16 2005 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.8
- Backport security fix for bz#148882 CAN-2005-0446

* Tue Feb 1 2005 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.7
- Backport a security fix for
  CAN-2005-0194 bz#146787 Empty proxy_auth ACLs are silently accepted but
  lead to unpredictable ACL matching
- Backport two more security fixes to close
  CAN-2005-0211 bz#146777 buffer overflow in wccp recvfrom() call
  bz#146780 correct handling of oversize reply headers

* Thu Jan 27 2005 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.6
- Include the reply_header_max_size patch to make the header_parsing
  and response_splitting patches easier to apply.  (And more functional.)

* Tue Jan 25 2005 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.5
- Backport three more security patches to close bz#146159

* Wed Jan 19 2005 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.4
- backport fixes for bz#145540

* Thu Dec 2 2004 Jay Fenlason <fenlason@redhat.com>
- Add a triggerin on samba-common to make /var/cache/samba/winbindd_privileged
  accessable so that ntlm_auth will work.  It needs to be in this rpm,
  because the Samba RPM can't assume the squid user exists.
  Note that this will only work if the Samba RPM is recent enough to create
  that directory at install time instead of at winbindd startup time.
  That should be samba-common-3.0.0-10rc4.3E or later.
  This fixes bugzilla #103726
- clean up extra whitespace at the end of lines in this spec file.

* Wed Oct 13 2004 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.3
- Include the upstream -hostheader patch to close #135516

* Tue Oct 12 2004 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.2
- Backport SNMP_core_dump patch from 2.5.STABLE6 to fix CAN-2004-0918
  (Remote DoS)

* Fri Sep 3 2004 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E.1
- backport patch from squid-2.5.STABLE6 to fix DOS in ntlm auth helper.

* Mon Jun 7 2004 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-6.3E
- Include patch for CAN-2004-0541: ntlm auth helper buffer overflow
  vulnerability.

* Tue Mar 30 2004 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-5.3E
- Quiet the triggerpostun scriptlet.

* Mon Mar 8 2004 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-4.3E
- Backport security fix for %00 hole.  See CAN-2004-0189:
    The "%xx" URL decoding function in Squid 2.5STABLE4 and earlier allows
    remote attackers to bypass url_regex ACLs via a URL with a NULL
    ("%00") characterm, which causes Squid to use only a portion of the
    requested URL when comparing it against the access control lists.
- Backport security fix that adds urllogin acl type that can be used to
  protect vulnerable Microsoft Internet Explorer clients.

* Wed Sep 17 2003 Jeremy Katz <katzj@redhat.com> 7:2.5.STABLE3-3.3E
- always exit successfully from scriptlets
- change from notting to make trigger "safer" (#101634)

* Wed Jul 16 2003 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-2.3E
- Fix the triggerpostun to use $errordir instead of $DIR
- Add the epoch number to the triggerpostun conditional

* Mon Jul 7 2003 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-1.3E
- re-enable pie
- removed --with-winbind-auth-challenge.  Bugzilla #78691 should've been
  opened against Samba instead of Squid.  And since I'm busy upgrading to
  Samba 3.0.0. . .
- Added fakeauth to --enable-ntlm-auth-helpers
- Added winbind to --enable-basic-auth-helpers

* Mon Jun 30 2003 Jay Fenlason <fenlason@redhat.com> 7:2.5.STABLE3-0.3E
- Spec file change to enable the nul storage module. bugzilla #74654
- Upgrade to 2.5STABLE3 with current official patches.
- Added --enable-auth="basic,ntlm": closes bugzilla #90145
- Added --with-winbind-auth-challenge: closes bugzilla #78691
- Added --enable-useragent-log and --enable-referer-log, closes
- bugzilla #91884
#- Changed configure line to enable pie
# (Disabled because of build machine issues)
#- Patched to increase the maximum number of file descriptors #72896
# (Removed--needs more testing)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Bill Nottingham <notting@redhat.com> 7:2.5.STABLE1-1
- update to 2.5.STABLE1

* Wed Nov 27 2002 Tim Powers <timp@redhat.com> 7:2.4.STABLE7-5
- remove unpackaged files from the buildroot

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 2.4.STABLE7-4
- rebuild

* Wed Jul 31 2002 Karsten Hopp <karsten@redhat.de>
- don't raise an error if the config file is incomplete
  set defaults instead (#69322, #70065)

* Thu Jul 18 2002 Bill Nottingham <notting@redhat.com> 2.4.STABLE7-2
- don't strip binaries

* Mon Jul  8 2002 Bill Nottingham <notting@redhat.com>
- update to 2.4.STABLE7
- fix restart (#53761)

* Tue Jun 25 2002 Bill Nottingham <notting@redhat.com>
- add various upstream bugfix patches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Mar 22 2002 Bill Nottingham <notting@redhat.com>
- 2.4.STABLE6
- turn off carp

* Mon Feb 18 2002 Bill Nottingham <notting@redhat.com>
- 2.4.STABLE3 + patches
- turn off HTCP at request of maintainers
- leave SNMP enabled in the build, but disabled in the default config

* Fri Jan 25 2002 Tim Powers <timp@redhat.com>
- rebuild against new libssl

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan 07 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- require linuxdoc-tools instead of sgml-tools

* Tue Sep 25 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.STABLE2

* Mon Sep 24 2001 Bill Nottingham <notting@redhat.com>
- add patch to fix FTP crash

* Mon Aug  6 2001 Bill Nottingham <notting@redhat.com>
- fix uninstall (#50411)

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- add some buildprereqs (#49705)

* Sun Jul 22 2001 Bill Nottingham <notting@redhat.com>
- update FAQ

* Tue Jul 17 2001 Bill Nottingham <notting@redhat.com>
- own /etc/squid, /usr/lib/squid

* Tue Jun 12 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment
- s/Copyright:/License:/

* Tue Apr 24 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.STABLE1 + patches
- enable some more configure options (#24981)
- oops, ship /etc/sysconfig/squid

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- improve i18n
- make the initscript use the standard OK/FAILED

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- change i18n mechanism

* Fri Jan 19 2001 Bill Nottingham <notting@redhat.com>
- fix path references in QUICKSTART (#15114)
- fix initscript translations (#24086)
- fix shutdown logic (#24234), patch from <jos@xos.nl>
- add /etc/sysconfig/squid for daemon options & shutdown timeouts
- three more bugfixes from the Squid people
- update FAQ.sgml
- build and ship auth modules (#23611)

* Thu Jan 11 2001 Bill Nottingham <notting@redhat.com>
- initscripts translations

* Mon Jan  8 2001 Bill Nottingham <notting@redhat.com>
- add patch to use mkstemp (greg@wirex.com)

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Sat Nov 11 2000 Bill Nottingham <notting@redhat.com>
- fix the acl matching cases (only need the second patch)

* Tue Nov  7 2000 Bill Nottingham <notting@redhat.com>
- add two patches to fix domain ACLs
- add 2 bugfix patches from the squid people

* Fri Jul 28 2000 Bill Nottingham <notting@redhat.com>
- clean up init script; fix condrestart
- update to STABLE4, more bugfixes
- update FAQ

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error in init script
- finish adding condrestart support

* Fri Jul 14 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul  6 2000 Bill Nottingham <notting@redhat.com>
- prereq /etc/init.d
- add bugfix patch
- update FAQ

* Thu Jun 29 2000 Bill Nottingham <notting@redhat.com>
- fix init script

* Tue Jun 27 2000 Bill Nottingham <notting@redhat.com>
- don't prereq new initscripts

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuild for exciting FHS stuff

* Wed May 31 2000 Bill Nottingham <notting@redhat.com>
- fix init script again (#11699)
- add --enable-delay-pools (#11695)
- update to STABLE3
- update FAQ

* Fri Apr 28 2000 Bill Nottingham <notting@redhat.com>
- fix init script (#11087)

* Fri Apr  7 2000 Bill Nottingham <notting@redhat.com>
- three more bugfix patches from the squid people
- buildprereq jade, sgmltools

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- make %pre more portable

* Thu Mar 16 2000 Bill Nottingham <notting@redhat.com>
- bugfix patches
- fix dependency on /usr/local/bin/perl

* Sat Mar  4 2000 Bill Nottingham <notting@redhat.com>
- 2.3.STABLE2

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- Yet More Bugfix Patches

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- add more bugfix patches
- --enable-heap-replacement

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- grab some bugfix patches

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- 2.3.STABLE1 (whee, another serial number)

* Tue Dec 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix compliance with ftp RFCs
  (http://www.wu-ftpd.org/broken-clients.html)
- Work around a bug in some versions of autoconf
- BuildPrereq sgml-tools - we're using sgml2html

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- add a couple of bugfix patches

* Wed Oct 13 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE5.
- update FAQ, fix URLs.

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- transform restart in reload and add restart to the init script

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- add squid user as user 23.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging
- fix conflict between logrotate & squid -k (#4562)

* Wed Jul 28 1999 Bill Nottingham <notting@redhat.com>
- put cachemgr.cgi back in /usr/lib/squid

* Wed Jul 14 1999 Bill Nottingham <notting@redhat.com>
- add webdav bugfix patch (#4027)

* Mon Jul 12 1999 Bill Nottingham <notting@redhat.com>
- fix path to config in squid.init (confuses linuxconf)

* Wed Jul  7 1999 Bill Nottingham <notting@redhat.com>
- 2.2.STABLE4

* Wed Jun 9 1999 Dale Lovelace <dale@redhat.com>
- logrotate changes
- errors from find when /var/spool/squid or
- /var/log/squid didn't exist

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- 2.2.STABLE3

* Thu Apr 22 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE.2

* Sun Apr 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE1

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- don't need to run groupdel on remove
- fix useradd

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix effective_user (bug #2124)

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- duh. adduser does require a user name.
- add a serial number

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- add an adduser in %pre, too

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- oog. chkconfig must be in %preun, not %postun

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- switch to using group squid
- turn off icmp (insecure)
- update to 2.2.DEVEL3
- build FAQ docs from source

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)

* Wed Feb 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.PRE2

* Wed Dec 30 1998 Bill Nottingham <notting@redhat.com>
- cache & log dirs shouldn't be world readable
- remove preun script (leave logs & cache @ uninstall)

* Tue Dec 29 1998 Bill Nottingham <notting@redhat.com>
- fix initscript to get cache_dir correct

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.1.PATCH2
- merge in some changes from RHCN version

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.1.22

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- don't make packages conflict with each other...

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- added a proxy auth patch from Alex deVries <adevries@engsoc.carleton.ca>
- fixed initscripts

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- rebuilt for Manhattan

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.21/1.NOVM.21

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- updated the init script to use reconfigure option to restart squid instead
  of shutdown/restart (both safer and quicker)

* Sat Feb 07 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.20
- added the NOVM package and tryied to reduce the mess in the spec file

* Wed Jan 7 1998 Cristian Gafton <gafton@redhat.com>
- first build against glibc
- patched out the use of setresuid(), which is available only on kernels
  2.1.44 and later
